#ifndef PPUSHBUTTON_H
#define PPUSHBUTTON_H

class PPushButton;

#include <tqpushbutton.h>
#include "pmessage.h"
#include "pbutton.h"
#include "pobject.h"
#include "controller.h"

class PPushButton : public PButton
{
  TQ_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PPushButton ( PObject * parent );
  virtual ~PPushButton ();
  
  virtual void messageHandler(int fd, PukeMessage *pm);
  
  virtual void setWidget(TQObject *_b = 0);
  virtual TQPushButton *widget();

public slots:
  
private:
  TQPushButton *button;

};

#endif
